[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TGetDockCaptionEvent

Specifies an event handler used to get the caption for a docked control.

## Declaration

Source position: controls.pp line 478

`type TGetDockCaptionEvent = procedure(`
`Sender: TObject;`
`AControl: TControl;`
`var ACaption: string`
`) of object;`

## Arguments

`Sender` |  | TObject for the event notification.
`AControl` |  | Control with the default caption value.
`ACaption` |  | Caption to use for the docked control.

## Description

TGetDockCaptionEvent is an object procedure type which specifies an event handler used to get the caption for a docked control. It allows a value other than the Caption for a control to be displayed when a control is docked.

Use AControl to examine properties for the docked control. Assign a value to the ACaption argument to set the docking caption for the control.

TGetDockCaptionEvent is the type used to implement the OnGetDockCaption event handler in TWinControl. Applications must implement an object procedure using the signature for the type, and assign it to the property to allow responding to the event notification.

## See also

TWinControl.OnGetDockCaption |  | This handler can provide a special DockCaption, different than the Caption default.
TWinControl. |  | Implements a windowed control which can contain other child controls.